## org.hibernate.tool.hbm2ddl
Enum Target

    java.lang.Object
      java.lang.Enum<Target>
          org.hibernate.tool.hbm2ddl.Target

All Implemented Interfaces:
  Serializable, Comparable<Target>

    public enum Target

extends Enum<Target>

Enum Constant Summary
`BOTH`
`EXPORT`
`NONE`
`SCRIPT`

Method Summary
`boolean` `doExport()`
`boolean` `doScript()`
`static Target` `interpret(boolean script, boolean export)`
`static Target` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Target[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXPORT

    public static final Target EXPORT

### SCRIPT

    public static final Target SCRIPT

### NONE

    public static final Target NONE

### BOTH

    public static final Target BOTH

Method Detail

### values

    public static Target[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Target c : Target.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Target valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### doExport

    public boolean doExport()

### doScript

    public boolean doScript()

### interpret

    public static Target interpret(boolean script,
                                   boolean export)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.